#include<bits/stdc++.h>

using namespace std;

long long int n;
long long int r[2000000],c[2000000];

int main()
{
     ios_base::sync_with_stdio(false);
        cin.tie(nullptr);
        cout.tie(nullptr);

    cin>>n;

    for (long long int i=0;i<n;i++)
    {
        cin>>r[i]>>c[i];
    }

    sort(r,r+n);
    sort(c,c+n);

    long long int l_minc=1;
    long long int l_minr=1;
    long long int ans=0;
    for (long long int i=0;i<n;i++)
    {
        ans+=abs(r[i]-l_minr);
        l_minr++;
        ans+=abs(c[i]-l_minc);
        l_minc++;
    }

    cout<<ans;

    return 0;
}